/*

 Tutorial and example code for connecting NeuroSky's MindWave Mobile to PJRC's Teensy using a bluetooth module

 Created by Michael Perrotta
 
 Based on the sample code by Neursoky (http://developer.neurosky.com/docs/doku.php?id=mindwave_mobile_and_arduino) and Adrià Navarro at Red Paper Heart (https://github.com/redpaperheart/ArduinoMindwave)
 
 */


#include <Mindwave.h>

int ledPin = 13;
Mindwave mindwave;
int MeditationValue = 0;
int AttentionValue = 0;
int Quality = 0;

//---------------------------------------------------------------------------------

void setup(){ 
  // start mindwave and tell it to debug
  // this will automatically open the Serial ports
  mindwave.setup();
  mindwave.setDebug(true);

  pinMode(ledPin, OUTPUT);
} 

void loop(){ 
  
  // get new brainwave data
  mindwave.update();

    if(mindwave.hasNewData())  //loop only runs when new packet arrives

    {
    MeditationValue = mindwave.getMeditation();
    AttentionValue = mindwave.getAttention();
    Quality = mindwave.getQuality();


//Serial monitor will print out Quality, attention, and meditation.
  Serial.print("Quality: ");
  Serial.println(Quality, DEC);
  Serial.print(" Attention: ");
  Serial.println(AttentionValue, DEC);
  Serial.print(" Meditation: ");
  Serial.println(MeditationValue, DEC);
  Serial.println("\n");

  // LED will be on so long as packets arrive from the headset with good quality
  if(mindwave.getQuality() == 200) {
  digitalWrite(ledPin, HIGH);
    }
  else digitalWrite(ledPin, LOW);   
}

} 
